<form name="editForm" role="form" (ngSubmit)="onSubmit()" [formGroup]="editForm">
  <div class="modal-header">
    <h4 class="modal-title" jhiTranslate="regionManagement.modal.createTitle">Create
      region</h4>
    <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
      <i class="bi bi-x-lg"></i>
    </button>
  </div>
  <div class="modal-body">
    <div class="form-group">
      <label class="form-control-label" jhiTranslate="regionManagement.modal.region">Country</label>
      <div>
        <input type="text" class="form-control" formControlName="name" [ngClass]="{'error-input': isNameInvalid}"
          jhiNoSpaces [placeholder]="'regionManagement.modal.namePlaceholder' | translate">
      </div>
      <div *ngIf="isNameInvalid">
        <small class="form-text text-danger" jhiTranslate="entity.validation.required" *ngIf="editForm.get('name')?.errors?.required">
          This field is required.
        </small>
        <small class="form-text text-danger"
          *ngIf="editForm.get('name')?.errors?.noWhitespace"
          jhiTranslate="error.noWhiteSpace">
          The value must not be all spaces.
        </small>
      </div>
    </div>
    <div class="form-group">
      <label class="form-control-label" jhiTranslate="regionManagement.modal.country">Country</label>
      <div>
        <ng-select [items]="countries" bindLabel="name" bindValue="id" [ngClass]="{'error-select': isCountryInvalid}"
          (search)="onSearchCountries($event.term)" placeholder="{{'regionManagement.modal.inputCountry' | translate}}"
          (clear)="onSearchCountries('')" formControlName="countryId">
        </ng-select>
      </div>
      <div *ngIf="isCountryInvalid">
        <small class="form-text text-danger" jhiTranslate="entity.validation.required">
          This field is required.
        </small>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
    <button type="submit" class="btn btn-primary" [disabled]="isFormInvalid">Save</button>
  </div>
</form>